#include "libindi/baseclient.h"
#include "libindi/basedevice.h"
#include <cstring>
#include <fstream>
#include <iostream>
#include <memory>

class MyClient : public INDI::BaseClient
{
public:
    MyClient();
    ~MyClient() = default;

    void setTemperature();
    void takeExposure();

protected:
    virtual void newDevice(INDI::BaseDevice *dp);
    virtual void removeDevice(INDI::BaseDevice *dp) {}
    virtual void newProperty(INDI::Property *property);
    virtual void removeProperty(INDI::Property *property) {}
    virtual void newBLOB(IBLOB *bp);
    virtual void newSwitch(ISwitchVectorProperty *svp) {}
    virtual void newNumber(INumberVectorProperty *nvp);
    virtual void newMessage(INDI::BaseDevice *dp, int messageID);
    virtual void newText(ITextVectorProperty *tvp) {}
    virtual void newLight(ILightVectorProperty *lvp) {}
    virtual void serverConnected() {}
    virtual void serverDisconnected(int exit_code) {}

private:
    INDI::BaseDevice *ccd_simulator;
};
void test();


#ifndef TELESCOPE_TEST_FUNCTIONS_HPP
#define TELESCOPE_TEST_FUNCTIONS_HPP

#endif //TELESCOPE_TEST_FUNCTIONS_HPP
